### Method

# Gtk ListStoreiter_is_valid

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_list_store_iter_is_valid (
      GtkListStore* list_store,
      GtkTreeIter* iter
    )

#### Description [src]

Checks if the given iter is a valid iter for this `GtkListStore`.

This function is slow. Only use it for debugging and/or testing purposes.

Deprecated since: 4.10

Use list models.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The iterator to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the iter is valid, `FALSE` if the iter is invalid.